<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button
    mbButtonSize="LARGE"
    mbButtonAvailableStyle="PRIMARY"
    (click)="save()"
    mbButtonText="{{ 'development.formLD.button.save' | translate }}"
  >
  </mb-button>
</div>
<nz-card class="main-form">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[24, 16]" class="input-section">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          formControlName="formCode"
          [mbMaxLength]="20"
          [mbType]="
            isSubmitted && form.controls['formCode'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['formCode'].errors != null
          "
          [mbErrors]="form.controls['formCode'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.formLD.validate.formCode' | translate
            }
          ]"
          mbLabelText="{{
            'development.formLD.table.formCode' | translate
          }} <span class='label__required'>*</span>"
          mbPlaceholderText="{{
            'development.formLD.table.formCode' | translate
          }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          formControlName="formName"
          [mbMaxLength]="50"
          mbLabelText="{{ 'development.formLD.table.formName' | translate }}
          <span class='label__required'>*</span>"
          mbPlaceholderText="{{
            'development.formLD.table.formName' | translate
          }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          formControlName="sortOrder"
          mbInputType="number"
          [mbType]="
            isSubmitted && form.controls['sortOrder'].errors
              ? 'error'
              : 'default'
          "
          [mbMaxLength]="20"
          [mbShowError]="
            isSubmitted && form.controls['sortOrder'].errors != null
          "
          [mbErrors]="form.controls['sortOrder'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'min',
              errorDescription:
                'development.formLD.validate.sortOrder' | translate
            }
          ]"
          mbLabelText="{{ 'development.formLD.table.sortOrder' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.sortOrder' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-check-able
          [listOfSelectedValue]="form.controls['formGroup'].value"
          [mbDataSelects]="dataCommon.mapFormGroup"
          [mbShowAction]="false"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.formLD.table.formGroup' | translate }}
            <span class='label__required'>*</span>"
          mbPlaceholder="{{ 'development.formLD.table.formGroup' | translate }}"
          formControlName="formGroup"
          [mbType]="
            isSubmitted && form.controls['formGroup'].errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitted && form.controls['formGroup'].errors != null
          "
          [mbErrors]="form.controls['formGroup'].errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.formLD.validate.formGroup' | translate
            }
          ]"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          formControlName="formType"
          [mbDataSelects]="dataCommon?.mapFormType"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.formLD.table.formType' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.formType' | translate }}"
        >
        </mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          formControlName="status"
          [mbDataSelects]="dataCommon?.mapFormStatus"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.formLD.table.status' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.getAll' | translate }}"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          formControlName="documentTypeId"
          mbInputType="number"
          mbLabelText="{{ 'development.formLD.table.documentType' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.documentType' | translate }}"
        >
        </mb-input-text>
      </div>      <div nz-col class="gutter-row" nzLg="6">
        <label nz-checkbox formControlName="showMinTime" class="checkBox_add">
          {{ 'development.formLD.table.showMinTime' | translate }}
        </label>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <label nz-checkbox formControlName="showMaxTime" class="checkBox_add">
          {{ 'development.formLD.table.showMaxTime' | translate }}
        </label>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <label nz-checkbox formControlName="showSeniority" class="checkBox_add">
          {{ 'development.formLD.table.showSeniority' | translate }}
        </label>
      </div>
    </div>
  </form>
</nz-card>
